Subject: Re: bug#29580: Acknowledgement ([PATCH] gnu: gtk+-2: Fix failing test.)

From: Gábor Boskovits <[email-masked]>
Date: Tue, 5 Dec 2017 20:59:59 +0100

This is a patch to make gtk2 build on core-updates.
Relevant details can be found on today irc logs.
Just the most important points:

gtk+-2 build fails on core-updates with a failing test: gtk/abitest.sh

The cause of the failure is that the new version of glib currently on
core-updates exposes a new marshaller, therefore the abi provided by the
library is a superset of the expected abi, and this test requires exact
match.

Here is a snippet of communcation with upstream:
17:49 < EmmanueleBassi> gabriel_: It's fine to ignore
17:49 < EmmanueleBassi> gabriel_: GLib added a new marshaller in its public
API
17:50 < EmmanueleBassi> gabriel_: And the `abicheck.sh`in GTK+ 2.24 hasn't
been updated because GTK+ 2.24 is in deep maintenance mode and very few
people test it against newer versions of GLib 17:50 < EmmanueleBassi>
There's the question as to whether GLib should have added a new marshaller
in the public API in the first place
[17:56] <g_bor> EmmanueleBassi> But that happened a long time ago

So it seems, that this is fine to ignore this, and upstream is not
interested in fixing it.

My fix restricts the test to the gtk abi, which I think is the good thing
to do.

2017-12-05 20:52 GMT+01:00 GNU bug Tracking System <[email-masked]>:

> Thank you for filing a new bug report with debbugs.gnu.org.
>
> This is an automatically generated reply to let you know your message
> has been received.
>
> Your message is being forwarded to the package maintainers and other
> interested parties for their attention; they will reply in due course.
>
> Your message has been sent to the package maintainer(s):
>  [email-masked]
>
> If you wish to submit further information on this problem, please
> send it to [email-masked].
>
> Please do not send mail to [email-masked] unless you wish
> to report a problem with the Bug-tracking system.
>
> --
> 29580: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29580
> GNU Bug Tracking System
> Contact [email-masked] with problems
>